[ Maverik Level 2 typedefs ]

#

MAV_quaternion

## Summary

Quaternion.

## Syntax

    typedef struct {
      float w;
      float x;
      float y;
      float z;
    } MAV_quaternion;

## Description

A Maverik quaternion comprises 4 floats which represents the quaternion [`w`,(`x`,`y`,`z`)]. As with matrices, it is recommended to manipulate quaternions only with the functions provided (see, for example, mav_quaternionSet).

Back to the index page.